package com.yeejoin.amos.fas.business.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.fas.business.vo.ConditionVO;
import com.yeejoin.amos.fas.business.vo.EquipmentSpecificIndexVo;
import com.yeejoin.amos.fas.dao.entity.PlanMessage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 装备性能指标 Mapper 接口
 *
 * @author Jianqiang Gao
 * @date 2021-01-18
 */
public interface EquipmentSpecificIndexMapper extends BaseMapper<EquipmentSpecificIndexVo> {

    List<EquipmentSpecificIndexVo> findByDetailIdInAndNameKey(@Param("list") List<Object> equipDetailIdList, @Param("nameKey") String nameKey);

    List<EquipmentSpecificIndexVo> queryInitAlarm(@Param("value") String value, @Param("list") String[] nameKeys);

    List<EquipmentSpecificIndexVo> getInitAlarm(@Param("value") String value, @Param("list") String[] nameKeys);

    Map<String, Object> countEquipIndexAndValueOfNum(@Param("list") List<Long> equipSpecificIdList, @Param("equipCodes") String[] equipCodes, @Param("equipSpeCodes") String[] equipSpeCodes, @Param("indexKeys") String[] indexKeys, @Param("value") String value);

    List<PlanMessage> getEquipIndexAndValue(@Param("list") List<ConditionVO> list, @Param("fireEquipments") List<Long> fireEquipments, @Param("outAndOr") String outAndOr);

    int countEquipIndexAndValueNum(@Param("list") List<ConditionVO> list, @Param("fireEquipments") List<Long> fireEquipments, @Param("outAndOr") String outAndOr);
}
